%bcond_without  tests

%global         srcname     msrest
%global         forgeurl    https://github.com/Azure/msrest-for-python
Version:        0.7.1
%global         commit      2d8fd04f68a124d0f3df7b81584accc3270b1afc

Summary:        The runtime library "msrest" for AutoRest generated Python clients
Name:           python-%{srcname}
Release: 1%{?dist}
License:        MIT
URL:            %forgeurl
Source0:        msrest-for-python-2d8fd04f68a124d0f3df7b81584accc3270b1afc.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(trio)
%endif

%global _description %{expand:
The runtime library "msrest" for AutoRest generated Python clients}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%package -n python3-%{srcname}+async
Summary: Subpackage for python3-%{srcname} with extra async dependencies
Requires: python3-%{srcname}

%description -n python3-%{srcname}+async
This is the subpackage for python3-%{srcname} with extra async dependencies.

%files -n python3-%{srcname}+async -f %{_pyproject_ghost_distinfo}



%prep
%autosetup -n msrest-for-python-2d8fd04f68a124d0f3df7b81584accc3270b1afc


%generate_buildrequires
%pyproject_buildrequires -x async


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check

%if %{with tests}
%pytest \
    --ignore=tests/asynctests/test_pipeline.py \
    --ignore=tests/asynctests/test_universal_http.py \
    --ignore=tests/test_auth.py \
    --ignore=tests/test_runtime.py
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-1
- initial build
